%define major 0
%define libname %mklibname lxc %{major}
%define develname %mklibname lxc -d
%define ver 0.9.0
%define ver1 0.9.0


Name:		lxc
Version:	%{ver}
%define subrel	1
Release:	%mkrel 5
Summary:	Linux Containers
URL:		http://lxc.sourceforge.net
Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{ver1}.tar.gz
Patch0:		lxc-0.9.0-mga-destroy-check.patch
Patch1:		lxc-0.9.0-CVE-2013-6441.patch
Group:		System/Kernel and hardware
License:	LGPLv2
Epoch:		1
BuildRequires:	docbook-utils
BuildRequires:	kernel-headers
BuildRequires:	libcap-devel
Buildrequires:	docbook-dtd30-sgml
BuildRequires:	docbook2x
# remove after mageia 3
Conflicts:   lxc-doc < 0.7.5
Obsoletes:   lxc-doc < 0.7.5

%description
The package "%{name}" provides the command lines to create and manage
containers.  It contains a full featured container with the isolation
/ virtualization of the pids, the ipc, the utsname, the mount points,
/proc, /sys, the network and it takes into account the control groups.
It is very light, flexible, and provides a set of tools around the
container like the monitoring with asynchronous events notification,
or the freeze of the container. This package is useful to create
Virtual Private Server, or to run isolated applications like bash or
sshd.

%package -n	%{libname}
Summary:	Library for LXC
Group:		System/Libraries

%description -n %{libname}
Library for the Linux Kernel Containers.

%package -n	%{develname}
Summary:	Development files for LXC
Group:		Development/C

%description -n %{develname}
Development files for the Linux Kernel Containers.

%prep
%setup -q -n %{name}-%{ver1}
%apply_patches

%build
%configure F77=no --disable-apparmor --enable-doc

# remove rpath ( rpmlint error )
sed -i '/AM_LDFLAGS = -Wl,-E -Wl,-rpath -Wl,$(libdir)/d' src/lxc/Makefile.in
%make

%install
%makeinstall_std

%files
%doc README MAINTAINERS NEWS TODO ChangeLog AUTHORS CONTRIBUTING
%{_bindir}/lxc-*
%dir %{_datadir}/lxc
%dir %{_libexecdir}/lxc
%{_libexecdir}/lxc/lxc-init
%dir %{_datadir}/lxc/templates
%{_datadir}/lxc
%{_mandir}/man*/%{name}*
%{_sysconfdir}/lxc/default.conf
%{_localstatedir}/lib/lxc

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*
%dir %{_libdir}/lxc
%dir %{_libdir}/lxc/rootfs
%{_libdir}/lxc/rootfs/README

%files -n %{develname}
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Feb 13 2014 luigiwalser <luigiwalser> 1:0.9.0-5.1.mga4
+ Revision: 590884
- rediff upstream patch to fix CVE-2013-6441

* Mon Jan 13 2014 danf <danf> 1:0.9.0-5.mga4
+ Revision: 566524
- Added destroy-check.patch to prevent damage if a container is destroyed
  without being completely stopped
- Packaged missing /var/lib/lxc

* Sun Dec 29 2013 boklm <boklm> 1:0.9.0-4.mga4
+ Revision: 563089
- Fix location of rootfs directory

* Fri Nov 08 2013 boklm <boklm> 1:0.9.0-3.mga4
+ Revision: 549914
- Build man pages
- Install templates in default directory

* Sat Oct 19 2013 umeabot <umeabot> 1:0.9.0-2.mga4
+ Revision: 523897
- Mageia 4 Mass Rebuild

* Sun May 26 2013 tv <tv> 1:0.9.0-1.mga4
+ Revision: 427786
- fix install
- adjust file list
- new release

* Mon Apr 01 2013 tv <tv> 1:0.8.0-1.mga3
+ Revision: 407033
- new release
- disable apparmor (fix build)
- adjust filelist
- add epoch due to bogus prior packaging

* Sun Jan 13 2013 luigiwalser <luigiwalser> 0.8.0rc2-3.mga3
+ Revision: 362115
- make use of _libexecdir and fix files list

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 bcornec <bcornec> 0.8.0rc2-2.mga3
+ Revision: 316437
- Force a new release tag for lxc to have it rebuilt with the new tar file
- Update bad tar source file for lxc
- Update to upstream 0.8.0-rc2

* Sun Sep 04 2011 misc <misc> 0.7.5-1.mga2
+ Revision: 138350
- fix group and summary of lxc-devel
- obsoletes the lxc-doc package, as it is just 16 kb
- remove useless BuildRequires
- do not regenerate configure without reason
- comment the rpath stuff
- drop uneeded define
- new version, thanks bogdano for noticing

* Wed Jun 29 2011 tv <tv> 0.7.4.2-1.mga2
+ Revision: 116124
- fix build
- Buildrequires:  docbook-dtd30-sgml
- BR kernel-headers instead of kernel-devel-latest
- new release
- fix group for doc package

  + ahmad <ahmad>
    - define path to kernel src dir manually

  + boklm <boklm>
    - rebuild for bug #497

* Mon Mar 07 2011 saispo <saispo> 0.7.4-2.mga1
+ Revision: 65992
- Bump release
- Fix template installation
- Add doc and fix build
- New release 0.7.4

  + boklm <boklm>
    - add SOURCES directory
    - add lxc

